Package org.lwjgl.opengles

# Class EXTOcclusionQueryBoolean

java.lang.Object
org.lwjgl.opengles.EXTOcclusionQueryBoolean

public final class EXTOcclusionQueryBoolean extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ANY_SAMPLES_PASSED_CONSERVATIVE_EXT`
Accepted by the <target> parameter of BeginQueryEXT, EndQueryEXT, and GetQueryivEXT:
`static final int`
`GL_ANY_SAMPLES_PASSED_EXT`
Accepted by the <target> parameter of BeginQueryEXT, EndQueryEXT, and GetQueryivEXT:
`static final int`
`GL_CURRENT_QUERY_EXT`
Accepted by the <pname> parameter of GetQueryivEXT:
`static final int`
`GL_QUERY_RESULT_AVAILABLE_EXT`
Accepted by the <pname> parameter of GetQueryObjectivEXT and GetQueryObjectuivEXT:
`static final int`
`GL_QUERY_RESULT_EXT`
Accepted by the <pname> parameter of GetQueryObjectivEXT and GetQueryObjectuivEXT:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBeginQueryEXT(int target, int id)`
`static void`
`glDeleteQueriesEXT(int id)`
Overloads glDeleteQueriesEXT.
`static void`
`glDeleteQueriesEXT(IntBuffer ids)`
`static void`
`glEndQueryEXT(int target)`
`static int`
`glGenQueriesEXT()`
Overloads glGenQueriesEXT.
`static void`
`glGenQueriesEXT(IntBuffer ids)`
`static void`
`glGetQueryEXT(int target, int pname, IntBuffer params)`
`static int`
`glGetQueryiEXT(int target, int pname)`
Overloads glGetQueryivEXT.
`static void`
`glGetQueryObjectuEXT(int id, int pname, IntBuffer params)`
`static int`
`glGetQueryObjectuiEXT(int id, int pname)`
Overloads glGetQueryObjectuivEXT.
`static boolean`
`glIsQueryEXT(int id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_ANY_SAMPLES_PASSED_EXT

public static final int GL_ANY_SAMPLES_PASSED_EXT
Accepted by the <target> parameter of BeginQueryEXT, EndQueryEXT, and GetQueryivEXT:

See Also:
  - Constant Field Values

### GL_ANY_SAMPLES_PASSED_CONSERVATIVE_EXT

public static final int GL_ANY_SAMPLES_PASSED_CONSERVATIVE_EXT
Accepted by the <target> parameter of BeginQueryEXT, EndQueryEXT, and GetQueryivEXT:

See Also:
  - Constant Field Values

### GL_CURRENT_QUERY_EXT

public static final int GL_CURRENT_QUERY_EXT
Accepted by the <pname> parameter of GetQueryivEXT:

See Also:
  - Constant Field Values

### GL_QUERY_RESULT_EXT

public static final int GL_QUERY_RESULT_EXT
Accepted by the <pname> parameter of GetQueryObjectivEXT and GetQueryObjectuivEXT:

See Also:
  - Constant Field Values

### GL_QUERY_RESULT_AVAILABLE_EXT

public static final int GL_QUERY_RESULT_AVAILABLE_EXT
Accepted by the <pname> parameter of GetQueryObjectivEXT and GetQueryObjectuivEXT:

See Also:
  - Constant Field Values

## Method Details

### glGenQueriesEXT

public static void glGenQueriesEXT(IntBuffer ids)

### glGenQueriesEXT

public static int glGenQueriesEXT()
Overloads glGenQueriesEXT.

### glDeleteQueriesEXT

public static void glDeleteQueriesEXT(IntBuffer ids)

### glDeleteQueriesEXT

public static void glDeleteQueriesEXT(int id)
Overloads glDeleteQueriesEXT.

### glIsQueryEXT

public static boolean glIsQueryEXT(int id)

### glBeginQueryEXT

public static void glBeginQueryEXT(int target, int id)

### glEndQueryEXT

public static void glEndQueryEXT(int target)

### glGetQueryEXT

public static void glGetQueryEXT(int target, int pname, IntBuffer params)

### glGetQueryiEXT

public static int glGetQueryiEXT(int target, int pname)
Overloads glGetQueryivEXT.

### glGetQueryObjectuEXT

public static void glGetQueryObjectuEXT(int id, int pname, IntBuffer params)

### glGetQueryObjectuiEXT

public static int glGetQueryObjectuiEXT(int id, int pname)
Overloads glGetQueryObjectuivEXT.